package com.xubx.springboot_01demo.dto.blog;

import lombok.Data;

import java.util.List;
import javax.validation.constraints.NotBlank;


/**
 * 新增博客入参
 * @author Xubx
 * @date 2024/11/01
 */
@Data
public class AddBlogDto {
    @NotBlank
    private String title;

    @NotBlank
    private String description;

    @NotBlank
    private List<String> categories;

    @NotBlank
    private String content;

    private String coverImage;

    private String status;
}
