import com.auth0.jwt.JWT;
import com.auth0.jwt.JWTVerifier;
import com.auth0.jwt.algorithms.Algorithm;
import com.auth0.jwt.interfaces.DecodedJWT;
import com.xubx.springboot_01demo.utils.token.RequestHolder;
import org.junit.jupiter.api.Test;

public class test {
    public static boolean verify(String token) {
        try {
            //去掉token的第一个和最后一个引号
            if (token != null && token.startsWith("\"") && token.endsWith("\"")) {
                token = token.substring(1, token.length() - 1);
            }
            JWTVerifier verifier = JWT.require(Algorithm.HMAC256("tokenqkj")).withIssuer("auth0").build();
            DecodedJWT jwt = verifier.verify(token);
            RequestHolder.add(jwt.getClaim("username").asString());
            System.out.println("认证通过：");
            System.out.println("issuer: " + jwt.getIssuer());
            System.out.println("username: " + jwt.getClaim("username").asString());
            System.out.println("过期时间：      " + jwt.getExpiresAt());
            return true;
        } catch (Exception e) {
            System.out.println(e.getMessage());
            return false;
        }
    }
    @Test
    public void test1(){
        verify("eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJhdXRoMCIsImV4cCI6MTcxODk1MzMxMiwidXNlcm5hbWUiOiIxMjM0In0.x_P_0vm7fBStK7feBWrFhfDFBZYXTOpDpvayztj0MNE");
    }


}
